Informazioni (scheda)

Visualizza le informazioni sui componenti principali ODBC, inclusi Driver Manager, la libreria cursore, il file dll di installazione e altri file che costituiscono i componenti principali.

Controllo | Descrizione
Elenco componenti principali ODBC | Descrizione, versione, nome file e percorso di ogni componente principale ODBC.
OK | Chiude la finestra di dialogo Amministrazione origine dati ODBC.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC ma non annulla le modifiche apportate mediante altri controlli della finestra di dialogo.
? | Visualizza la schermata della Guida.


Pool di connessioni (scheda)

Consente di modificare l'intervallo tra due tentativi di connessione e il periodo di timeout di connessione per un driver selezionato in caso di utilizzo di pool di connessioni. Consente inoltre di attivare e disattivare il monitoraggio delle prestazioni per la registrazione di una serie di statistiche di connessione. Pool di connessione consente all'applicazione di utilizzare una connessione da un pool di connessioni che non è necessario ristabilire per ogni utilizzo. Una volta che una connessione è stata creata e posizionata in un pool, può essere riutilizzata da un'applicazione senza bisogno di eseguire il processo di connessione completo. In questo modo le prestazioni risultano migliorate.

Controllo | Descrizione
Driver ODBC | Elenca il nome di ogni driver ODBC installato con l'opzione di timeout del pool di connessioni. Per impostare l'opzione di timeout, fare doppio clic sul nome del driver ODBC.
Timeout pool di connessioni | Imposta in secondi il timeout del pool di connessioni per il driver selezionato. Per impostare gli attributi del pool di connessioni fare doppio clic sul nome del driver. Verrà visualizzata la finestra di dialogo Impostazione attributi del pool di connessioni. È possibile impostare il periodo di tempo in cui le connessioni inutilizzate rimangono nel pool, nonché attivare pool di connessioni per il driver selezionato.
Attiva | Attiva i contatori per il monitoraggio delle prestazioni del pool di connessioni. Per ulteriori informazioni sul monitoraggio delle prestazioni, vedere ODBC Programmer's Reference.
Disattiva | Disattiva i contatori per il monitoraggio delle prestazioni del pool di connessioni. Per ulteriori informazioni sul monitoraggio delle prestazioni, vedere ODBC Programmer's Reference.
Intervallo tra due tentativi | Specifica, in secondi e in meno di sei numerali, l'intervallo tra due tentativi di connessione a un server di database da parte di ODBC Driver Manager.
OK | Accetta le modifiche alle impostazioni del pool di connessioni e chiude la finestra di dialogo Amministrazione origine dati ODBC.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC senza accettare le modifiche apportate alle impostazioni.
Applica | Accetta le modifiche alle impostazioni del pool di connessioni e lascia aperta la finestra di dialogo Amministrazione origine dati ODBC.
? | Visualizza la schermata della Guida.


Origine dati su file (scheda)

Consente di connettersi con un'origine dati che dispone di nomi di origine dati su file. Un'origine dati basata su file può essere condivisa da tutti gli utenti che hanno installato gli stessi driver. Non è necessario che questa origine dati sia dedicata all'utente o locale in un computer.

Controllo | Descrizione
Origine dati su file | Visualizza tutti i nomi delle origini dati su file e le sottodirectory della directory indicate nella casella Cerca in. Fare doppio clic su un DSN per connettersi all'origine dati.
Cerca in | Indica la directory le cui sottodirectory e DSN su file sono elencati nella finestra sottostante. Fare clic sulla freccia in giù accanto a questa casella di testo per visualizzare la struttura dell'intera directory.
Icona Livello superiore | Sostituisce la directory indicata nella casella Cerca in con la directory posizionata al livello superiore.
Nome DSN | Visualizza il nome dell'origine dati di sistema su file, selezionato nell'elenco Origini dati su file o immesso manualmente.
Nuovo | Selezionare per aggiungere una nuova origine dati su file. Nella finestra di dialogo Crea nuova origine dati visualizzata scegliere il driver per il quale viene aggiunta l'origine dati di sistema su file e fare clic su Avanti per specificare il nome o il percorso del nuovo DSN su file. Fare clic di nuovo su Avanti per visualizzare un riepilogo delle nuove informazioni inserite. Fare clic su Fine per visualizzare la finestra di dialogo di configurazione specifica del driver.
OK | Chiude la finestra di dialogo Selezione origine dati e si connette all'origine dati su file indicata nella casella di testo Nome DSN. Per accettare le modifiche apportate all'elenco Origini dati su file non è necessario fare clic su OK. Le modifiche apportate all'elenco vengono accettate facendo clic su OK nella finestra di dialogo relativa alla configurazione dell'origine dati.
Annulla | Chiude la finestra di dialogo Selezione origine dati senza connettersi all'origine dati su file e senza annullare le modifiche apportate mediante altri controlli della finestra di dialogo.
? | Visualizza la schermata della Guida.


DSN su file (scheda)

Consente di aggiungere, eliminare o configurare origini dati basate su file che possono essere condivise da tutti gli utenti che hanno installato gli stessi driver . Queste origini dati non sono dedicate a un utente né locali in un computer.

Controllo | Descrizione
Origini dati su file | Visualizza tutti i nomi delle origini dati su file e le sottodirectory della directory indicate nella casella Cerca in. Fare doppio clic su un DSN su file per visualizzare la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.
Aggiungi | Selezionare per aggiungere una nuova origine dati su file. Nella finestra di dialogo Crea nuova origine dati visualizzata scegliere il driver per il quale viene aggiunta l'origine dati su file e fare clic su Avanti per specificare il nome o il percorso della nuova origine dati su file. Fare clic di nuovo su Avanti per visualizzare un riepilogo delle nuove informazioni di origine dati inserite. Fare clic su Fine per visualizzare la finestra di dialogo di configurazione specifica del driver.
Rimuovi | Rimuove l'origine dati su file selezionata. Prima di fare clic su Rimuovi è necessario selezionare dall'elenco l'origine dati su file da rimuovere.
Configura | Selezionare per modificare la configurazione di un'origine dati su file selezionata. Prima di fare clic su Configura è necessario selezionare dall'elenco il nome di un'origine dati su file. Verrà visualizzata la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.
Imposta directory | Imposta la directory indicata nella casella Cerca in come predefinita durante l'esecuzione di Amministrazione ODBC.
Cerca in | Visualizza la directory le cui sottodirectory e DSN su file sono elencati nella finestra sottostante. Fare clic sulla freccia in giù accanto a questa casella di testo per visualizzare la struttura dell'intera directory. La directory predefinita visualizzata inizialmente alla prima esecuzione di Amministrazione ODBC è contenuta nelle informazioni relative al sistema, ma può essere modificata tramite il pulsante Imposta directory.
Icona Livello superiore | Sostituisce la directory visualizzata nella casella Cerca in con la directory posizionata al livello superiore.
OK | Chiude la finestra di dialogo Amministrazione origine dati ODBC. Per accettare le modifiche apportate all'elenco Origini dati su file non è necessario fare clic su OK. Le modifiche apportate all'elenco vengono accettate facendo clic su OK nella finestra di dialogo relativa alla configurazione dell'origine dati.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC ma non annulla le modifiche apportate mediante altri controlli della finestra di dialogo.
? | Visualizza la schermata della Guida.


Origine dati computer (scheda)

Consente di connettersi con un'origine dati che dispone di nomi di origine dati di sistema o utente. Le origini dati computer sono specifiche nel computer e non possono essere condivise.

Controllo | Descrizione
Origine dati computer | Elenca tutti i DSN utente e di sistema, inclusi il nome e il tipo di ogni DSN. Fare doppio clic su un DSN per connettersi all'origine dati.
Nuovo | Selezionare per aggiungere una nuova origine dati computer. Nella finestra di dialogo Crea nuova origine dati visualizzata scegliere il driver per il quale viene aggiunta l'origine dati di sistema o utente e fare clic su Avanti per specificare il nome o il percorso del nuovo DSN. Fare clic di nuovo su Avanti per visualizzare un riepilogo delle nuove informazioni inserite. Fare clic su Fine per visualizzare la finestra di dialogo di configurazione specifica del driver.
OK | Chiude la finestra di dialogo Selezione origine dati ed esegue la connessione all'origine dati selezionata. Facendo clic su OK le modifiche apportate all'elenco Origini dati computer non vengono accettate. Le modifiche apportate all'elenco vengono accettate facendo clic su OK nella finestra di dialogo Configurazione origine dati.
Annulla | Chiude la finestra di dialogo Selezione origine dati senza connettersi all'origine dati su file e senza annullare le modifiche apportate mediante altri controlli della finestra di dialogo.
? | Visualizza la schermata della Guida.


Driver (scheda)

Visualizza le informazioni relative ai driver ODBC installati nel computer. Non è possibile eseguire alcuna operazione da questa scheda. Per aggiungere o rimuovere driver ODBC è necessario utilizzare il programma di configurazione specifico del driver.

Controllo | Descrizione
Driver ODBC | Nome, versione, società, nome file e data di creazione del file di ogni driver ODBC installato nel computer.
OK | Chiude la finestra di dialogo Amministrazione origine dati ODBC.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC.
? | Visualizza la schermata della Guida.


DSN di sistema (scheda)

Consente di aggiungere, eliminare o configurare le origini dati con i nomi dell'origine dati di sistema. Tali origini dati sono locali ma non dedicate all'utente; qualsiasi utente in possesso dei privilegi appropriati può accedere a un DSN di sistema.

Controllo | Descrizione
Origini dati di sistema | Elenca tutti i DSN di sistema, inclusi il nome e il driver associato di ogni DSN. Fare doppio clic su un DSN di sistema per visualizzare la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.
Aggiungi | Selezionare per aggiungere una nuova origine dati di sistema. Nella finestra di dialogo Crea nuova origine dati visualizzata scegliere il driver per il quale si aggiunge l'origine dati di sistema e fare clic su Fine; verrà visualizzata una finestra di dialogo relativa alla configurazione specifica del driver.
Rimuovi | Rimuove il nome dell'origine dati di sistema selezionata dall'elenco Origini dati di sistema.
Configura | Selezionare per modificare la configurazione di un'origine dati di sistema selezionata. Verrà visualizzata la finestra di dialogo di configurazione dell'origine dati specifica del driver che consente di modificare la configurazione di un'origine dati di sistema esistente. Prima di fare clic su Configura è necessario selezionare il nome di un'origine dati di sistema dall'elenco.
OK | Chiude la finestra di dialogo Amministrazione origine dati ODBC. Per accettare le modifiche apportate all'elenco Origini dati di sistema non è necessario fare clic su OK. Le modifiche apportate all'elenco vengono accettate facendo clic su OK nella finestra di dialogo relativa alla configurazione dell'origine dati.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC ma non annulla le modifiche apportate mediante altri controlli della finestra di dialogo.
? | Visualizza la schermata della Guida.


Analisi (scheda)

Specifica come ODBC Driver Manager analizza le chiamate alle funzioni ODBC. Driver Manager può analizzare le chiamate in modo continuo o per una sola connessione, può eseguire l'analisi in modo dinamico o può consentire l'analisi da parte di un file .dll di analisi personalizzato.

Controllo | Descrizione
Avvia analisi/Interrompi analisi (pulsante) | Attiva l'analisi dinamica continua, indipendentemente dalla presenza o meno di una connessione, fintanto che viene visualizzata la finestra di dialogo Amministrazione origine dati ODBC o fino a quando non si fa clic su Interrompi analisi.
Avvia Visual Studio Analyzer/Arresta Visual Studio Analyzer (pulsante) | Attiva Visual Studio Analyzer, che rimane attivato fino a quando non viene scelto Arresta Visual Studio Analyzer. Visual Studio Analyzer è un strumento che è possibile utilizzare per eseguire il debug e l'analisi dell'applicazione distribuita. Visual Studio Analyzer è incluso nelle versioni precedenti di Visual Studio.
Percorso file registro | Visualizza il percorso e il nome file in cui verranno archiviate le informazioni di analisi. Utilizzare il percorso e il nome file predefiniti (\sql.log) oppure, in alternativa, specificarne uno nuovo immettendo percorso e nome file nuovi o facendo clic su Sfoglia per selezionare una directory e un file.
Sfoglia | Consente di selezionare il percorso e il nome file per il file registro sfogliando le directory del computer.
DLL di analisi personalizzata | Consente di selezionare un file dll diverso da Odbctrac.dll per eseguire l'analisi. Immettere il percorso e il nome del file dll personalizzato oppure fare clic su Selezione DLL per sfogliare le directory. Odbctrac.dll può essere sostituito da un file dll personalizzato a scelta.
Selezione DLL | Consente di sfogliare la struttura delle directory per individuare un file dll di analisi personalizzato. Il percorso e il nome del file dll scelto verranno visualizzati nella casella di testo DLL di analisi personalizzata.
OK | Accetta le modifiche apportate alle impostazioni Percorso file registro e DLL di analisi personalizzata e chiude la finestra di dialogo Amministrazione origine dati ODBC.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC senza accettare le modifiche apportate alle impostazioni.
Applica | Accetta le modifiche alle impostazioni di analisi e lascia aperta la finestra di dialogo Amministrazione origine dati ODBC.
? | Visualizza la schermata della Guida.


Selezione convertitore (finestra di dialogo)

La finestra di dialogo Selezione convertitore elenca i file dll di conversione installati e consente di selezionarne uno per convertire i dati da un set di caratteri in un altro. L'applicazione e l'origine dati spesso archiviano i dati in set di caratteri diversi. ODBC fornisce un meccanismo generico che consente al driver di convertire i dati da un set di caratteri in un altro.

Dopo avere specificato un file dll di conversione, il driver lo carica e lo chiama per convertire tutti i dati trasmessi tra l'applicazione e l'origine dati, ovvero tutte le istruzioni SQL e i parametri di carattere inviati all'origine dati, nonché tutti i risultati e i metadati di carattere, quali nomi di colonna e messaggi di errore recuperati dall'origine dati. I dati di connessione non vengono tradotti perché il file dll di conversione viene caricato solo dopo che l'applicazione si è connessa all'origine dati.

Il file dll del convertitore che implementa le funzioni di conversione SQLDriverToDataSource e SQLDataSourceToDriver chiamate dal driver può essere scritto dallo sviluppatore dell'applicazione, dallo sviluppatore del driver o da terze parti.

Per ulteriori informazioni sui file dll di conversione, vedere ODBC Programmer's Reference.


DSN utente (scheda)

Consente di aggiungere, eliminare o configurare le origini dati con i nomi dell'origine dati utente. Queste origini dati sono locali in un computer e accessibili solo dall'utente corrente.

Controllo | Descrizione
Origine dati utente | Elenca tutti i DSN utente, inclusi il nome e il driver associato di ogni DSN. Fare doppio clic su un DSN utente per visualizzare la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.
Aggiungi | Selezionare per aggiungere una nuova origine dati utente. Nella finestra di dialogo Crea nuova origine dati visualizzata scegliere il driver per il quale viene aggiunta l'origine dati utente e fare clic su Fine; verrà visualizzata una finestra di dialogo relativa alla configurazione specifica del driver.
Rimuovi | Selezionare per rimuovere il nome dell'origine dati utente selezionata dall'elenco Origini dati utente.
Configura | Selezionare per modificare la configurazione di un'origine dati utente selezionata. Verrà visualizzata la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.
OK | Chiude la finestra di dialogo Amministrazione origine dati ODBC. Per accettare le modifiche apportate all'elenco Origini dati utente non è necessario fare clic su OK. Le modifiche apportate all'elenco vengono accettate facendo clic su OK nella finestra di dialogo relativa alla configurazione dell'origine dati.
Annulla | Chiude la finestra di dialogo Amministrazione origine dati ODBC ma non annulla le modifiche apportate mediante altri controlli della finestra di dialogo.
? | Visualizza la schermata della Guida.


Copyright e informazioni legali

Le informazioni contenute nel presente documento, inclusi URL e altri riferimenti a siti Web, sono soggette a modifiche senza preavviso. Se non specificato diversamente, ogni riferimento a società, organizzazioni, prodotti, nomi di dominio, indirizzi di posta elettronica, logo, persone, luoghi ed eventi utilizzati negli esempi è puramente casuale e ha il solo scopo di illustrare l'uso del prodotto Microsoft. Nessuna associazione con nessuna società, organizzazione, prodotto, nome di dominio, indirizzo di posta elettronica, logo, persona, luogo o evento è intenzionale o può essere presupposta. Il rispetto di tutte le leggi applicabili in materia di copyright è esclusivamente a carico dell'utente. Fermi restando tutti i diritti coperti da copyright, nessuna parte del presente documento potrà comunque essere riprodotta, archiviata o inserita in un sistema di riproduzione o trasmessa in qualsiasi forma e con qualsiasi mezzo (in formato elettronico, meccanico, fotocopia, tramite registrazione o altro) per qualsiasi scopo, senza il permesso scritto di Microsoft Corporation.

Microsoft può essere titolare di brevetti, domande di brevetto, marchi, copyright o altri diritti di proprietà intellettuale relativi all'oggetto del presente documento. Salvo quanto espressamente previsto in un contratto scritto di licenza Microsoft, la consegna del presente documento non implica la concessione di alcuna licenza su tali brevetti, marchi, copyright o altra proprietà intellettuale.

© 2009 Microsoft Corporation. Tutti i diritti riservati.

Microsoft, Active Directory, ActiveX, JScript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual Studio, Win32, Windows e Windows NT sono marchi di Microsoft Corporation.

Altri nomi di prodotti e società citati nel presente documento possono essere marchi dei rispettivi proprietari.


.topic 902
Elenca tutti i DSN utente, inclusi il nome e il driver associato di ogni DSN. Fare doppio clic su un DSN utente per visualizzare la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.

.topic 903
Selezionare per modificare la configurazione di un'origine dati utente selezionata.

.topic 904
Selezionare per aggiungere una nuova origine dati utente.

.topic 905
Selezionare per rimuovere un'origine dati utente selezionata.

.topic 910
Elenca tutti i DSN di sistema, inclusi il nome e il driver associato di ogni DSN. Fare doppio clic su un DSN di sistema per visualizzare la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.

.topic 911
Selezionare per modificare la configurazione di un'origine dati di sistema selezionata.

.topic 912
Selezionare per aggiungere una nuova origine dati di sistema.

.topic 913
Selezionare per rimuovere un'origine dati di sistema selezionata.

.topic 915
Visualizza tutti i DSN su file e le sottodirectory della directory indicata nella casella Cerca in. Fare doppio clic su un DSN su file per visualizzare la finestra di dialogo relativa alla configurazione dell'origine dati specifica del driver.

.topic 916
Selezionare per modificare la configurazione di un'origine dati su file selezionata.

.topic 917
Selezionare per aggiungere una nuova origine dati su file.

.topic 918
Selezionare per rimuovere un'origine dati su file selezionata.

.topic 919
Imposta la directory indicata nella casella Cerca in come predefinita durante l'esecuzione di Amministrazione ODBC.

.topic 920
Visualizza la directory le cui sottodirectory e DSN su file sono elencati nella finestra sottostante.

.topic 921
Sostituisce la directory indicata nella casella Cerca in con la directory posizionata al livello superiore.

.topic 969
Elenca ogni driver ODBC installato con l'opzione di timeout del pool di connessioni. Per impostare l'opzione di timeout, fare doppio clic sul nome del driver ODBC.

.topic 965
Nome, versione, società, nome file e data di rilascio di ogni driver ODBC installato.

.topic 924
Consente di impostare le opzioni di traccia per l'applicazione.

.topic 926
Abilita l'analisi dinamica continua, indipendentemente dalla presenza o meno di una connessione, fintanto che viene visualizzata la finestra di dialogo Amministrazione origine dati ODBC o fino a quando non si fa clic su Interrompi analisi. Questo pulsante consente di passare da Avvia analisi a Interrompi analisi e viceversa.

.topic 923
Attiva Visual Studio Analyzer, che rimane abilitato fino a quando non viene selezionato Arresta Visual Studio Analyzer. Questo pulsante consente di passare da Avvia Visual Studio Analyzer ad Arresta Visual Studio Analyzer e viceversa.

.topic 925
Abilita l'analisi di ODBC per tutti i processi avviati da tutti gli utenti. Questa opzione può essere abilitata solo dagli amministratori.

.topic 927
Visualizza il percorso e il nome file in cui verranno archiviate le informazioni di analisi. Il file di log predefinito è sql.log.

.topic 968
Selezionare il percorso e il nome del file di log.

.topic 928
Immettere il percorso e il nome del file appropriati per scegliere un file dll di traccia personalizzato.

.topic 929
Sfogliare la struttura delle directory per individuare un file dll di traccia personalizzato.

.topic 952
Visualizza tutti i DSN su file e le sottodirectory contenute della directory indicata nella casella Cerca in. Fare doppio clic su un DSN per connettersi all'origine dati.

.topic 953
Indica la directory le cui sottodirectory e DSN su file sono elencati nella finestra sottostante.

.topic 954
Sostituisce la directory visualizzata nella casella Cerca in con la directory posizionata al livello superiore.

.topic 955
Visualizza il nome del DSN su file, selezionato nell'elenco Origini dati su file o immesso manualmente.

.topic 957
Selezionare per aggiungere una nuova origine dati su file.

.topic 961
Elenca tutti i DSN utente e di sistema, inclusi il nome e il tipo di ogni DSN. Fare doppio clic su un DSN per connettersi all'origine dati.

.topic 974
Imposta il monitoraggio delle prestazioni della connessione per il debug ma influisce sulle prestazioni dell'applicazione.

.topic 971
Abilita il monitoraggio delle prestazioni della connessione.

.topic 972
Disabilita il monitoraggio delle prestazioni della connessione.

.topic 973
Specifica il tempo di attesa, in secondi, per i tentativi di connessione.

.topic 962
Selezionare per aggiungere una nuova origine dati computer.